Bug 9494 - Library of Congress Z39.50 target seed data outdated
Summary: Library of Congress Z39.50 target seed data outdated
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Cataloging (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Galen Charlton
QA Contact:
URL:
Keywords:
Depends on:
Blocks: 9520
  Show dependency treegraph
 
Reported: 2013-01-25 16:21 UTC by Galen Charlton
Modified: 2014-05-26 21:04 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
bug 9494: update default LOC z39.50 target settings (6.60 KB, patch)
2013-01-25 16:50 UTC, Galen Charlton
Details | Diff | Splinter Review
[SIGNED-OFF] bug 9494: update default LOC z39.50 target settings (6.73 KB, patch)
2013-01-25 17:11 UTC, Bernardo Gonzalez Kriegel
Details | Diff | Splinter Review
[Passed QA] bug 9494: update default LOC z39.50 target settings (6.91 KB, patch)
2013-01-29 09:26 UTC, Elliott Davis
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Galen Charlton 2013-01-25 16:21:11 UTC
The default seed data has LC's Z39.50 target as z3950.loc.gov:7090/Voyager. This stopped working today, but regardless of whether or not that is a transitory problem, the target information is out of date.

According to http://www.loc.gov/z3950/lcserver.html#addr, the correct value is lx2.loc.gov:210/LCDB, which goes through LC's public Metaproxy instance. The Internet Archive indicates that that webpage stopped referring to z3950.loc.gov back in 2010.
Comment 1 Galen Charlton 2013-01-25 16:50:47 UTC Comment hidden (obsolete)
Comment 2 Galen Charlton 2013-01-25 16:52:36 UTC
The proposed patch only affects new installations of Koha.  I'm of two minds whether we should update the Z39.50 definition during upgrade, but if we did, the SQL would be something like

UPDATE z3950servers
SET host = 'lx2.loc.gov',
    port = 210,
    db = 'LCDB',
    encoding = 'utf8'
WHERE host = 'z3950.loc.gov'
AND port = 7090
AND db = 'Voyger';
Comment 3 Galen Charlton 2013-01-25 16:53:03 UTC
There was a typo in my SQL, it should be:

UPDATE z3950servers
SET host = 'lx2.loc.gov',
    port = 210,
    db = 'LCDB',
    encoding = 'utf8'
WHERE host = 'z3950.loc.gov'
AND port = 7090
AND db = 'Voyager';
Comment 4 Bernardo Gonzalez Kriegel 2013-01-25 17:11:09 UTC Comment hidden (obsolete)
Comment 5 Galen Charlton 2013-01-25 23:15:39 UTC
For the record, as part of correspondence on this issue, I received the following statement from Ardie Bausenbach of the Library of Congress:

As documented in the Library of Congress Z39.50/SRW/SRU Server
Configuration Guidelines (http://www.loc.gov/z3950/lcserver.html), the
Library recommends that Z39.50/SRU access to the LC Online Catalog use the
gateway found at lx2.loc.gov:210. This server supports access to a number
of LC databases in a manner that helps the Library balance search query
loads more efficiently. The original Z39.50/SRU ports to the LC Online
Catalog remain operative (z3950.loc.gov:7090 for MARC8 and
z3950.loc.gov:7091 for UTF-8). However, LC prefers that queries of the LC
Online Catalog be sent through lx2.loc.gov:210/LCDB (for UTF-8) and
lx2.loc.gov:210:LCDB-MARC8 (for MARC8).
Comment 6 Elliott Davis 2013-01-29 09:26:18 UTC
Created attachment 14912 [details] [review]
[Passed QA] bug 9494: update default LOC z39.50 target settings

This patch updates the seed data from the target list at
http://www.loc.gov/z3950/lcserver.html#addr.

Comment: new target works. updated deleting and reloading
sample targets.

Signed-off-by: Galen Charlton <gmc@esilibrary.com>
Signed-off-by: Bernardo Gonzalez Kriegel <bgkriegel@gmail.com>
Signed-off-by: Elliott Davis <elliott@bywatersolions.com>
I agree with Galen that this may need to be incorproated as a follow-up for current installations
Works fine for new installs
Comment 7 Jared Camins-Esakov 2013-01-31 16:10:39 UTC
This patch has been pushed to master.

A follow-up updating current installations might not be a bad idea.
Comment 8 Bernardo Gonzalez Kriegel 2013-01-31 19:29:11 UTC
Follow-up on Bug 9520
Comment 9 Chris Cormack 2013-02-02 07:11:20 UTC
Pushed to 3.10.x and 3.8.x will be in 3.10.3 and 3.8.10